Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.oscache.base.events
Class CacheEvent

    java.lang.Object
      com.opensymphony.oscache.base.events.CacheEvent

Direct Known Subclasses:
  CacheEntryEvent, CacheGroupEvent, CacheMapAccessEvent, CachePatternEvent, CachewideEvent, ScopeEvent

public abstract class CacheEvent
extends java.lang.Object

The root event class for all cache events. Each subclasses of this class classifies a particular type of cache event.

Author:
  Chris Miller Date: 20-May-2003 Time: 15:25:02

Field Summary
`protected java.lang.String` | `origin` An optional tag that can be attached to the event to specify the event's origin.

Constructor Summary
`CacheEvent()` No-argument constructor so subtypes can easily implement `Serializable`
`CacheEvent(java.lang.String origin)` Creates a cache event object that came from the specified origin.

Method Summary
`java.lang.String` | `getOrigin()` Retrieves the origin of this event, if one was specified.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### origin

    protected java.lang.String origin

  An optional tag that can be attached to the event to specify the event's origin.

Constructor Detail

### CacheEvent

    public CacheEvent()

  No-argument constructor so subtypes can easily implement `Serializable`

### CacheEvent

    public CacheEvent(java.lang.String origin)

  Creates a cache event object that came from the specified origin.

Parameters:
  `origin` - A string that indicates where this event was fired from. This value is optional; `null` can be passed in if an origin is not required.

Method Detail

### getOrigin

    public java.lang.String getOrigin()

  Retrieves the origin of this event, if one was specified. This is most useful when an event handler causes another event to fire - by checking the origin the handler is able to prevent recursive events being fired.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| See www.opensymphony.com for more information.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD